[Pkg-alsa-devel] [Debian ALSA CVS] debian/alsa-utils/debian (3 files)
Thomas Hood
jdthood-guest@haydn.debian.org
Sun, 19 Sep 2004 04:07:58 -0600
Date: Sunday, September 19, 2004 @ 04:07:58
Author: jdthood-guest
Path: /cvsroot/pkg-alsa/debian/alsa-utils/debian
Added: patches/50_aconnect_betwen.dpatch
Modified: changelog patches/00list
Fix #272319
-----------------------------------+
changelog | 2 ++
patches/00list | 1 +
patches/50_aconnect_betwen.dpatch | 35 +++++++++++++++++++++++++++++++++++
3 files changed, 38 insertions(+)
Index: debian/alsa-utils/debian/changelog
diff -u debian/alsa-utils/debian/changelog:1.42 debian/alsa-utils/debian/changelog:1.43
--- debian/alsa-utils/debian/changelog:1.42 Mon Sep 13 12:57:07 2004
+++ debian/alsa-utils/debian/changelog Sun Sep 19 04:07:55 2004
@@ -1,6 +1,8 @@
alsa-utils (1.0.6-1) unstable; urgency=medium
* Thomas Hood
+ - aconnect.c
+ + 50_aconnect_betwen: 'betwen' -> 'between'
- alsaconf.in:
+ Split up 90_debian_alsaconf into three patches:
. 90_debian_alsaconf_paths
Index: debian/alsa-utils/debian/patches/00list
diff -u debian/alsa-utils/debian/patches/00list:1.13 debian/alsa-utils/debian/patches/00list:1.14
--- debian/alsa-utils/debian/patches/00list:1.13 Mon Sep 13 12:57:08 2004
+++ debian/alsa-utils/debian/patches/00list Sun Sep 19 04:07:56 2004
@@ -3,6 +3,7 @@
15_alsamixer_doc_keycase
15_alsamixer_doc_mute
20_alsaconf_lspci
+50_aconnect_betwen
90_debian_alsaconf_paths
90_debian_alsaconf_idmode
90_debian_alsaconf_cfgfile
Index: debian/alsa-utils/debian/patches/50_aconnect_betwen.dpatch
diff -u /dev/null debian/alsa-utils/debian/patches/50_aconnect_betwen.dpatch:1.1
--- /dev/null Sun Sep 19 04:07:58 2004
+++ debian/alsa-utils/debian/patches/50_aconnect_betwen.dpatch Sun Sep 19 04:07:56 2004
@@ -0,0 +1,37 @@
+#! /bin/sh -e
+## 50_aconnect_betwen.dpatch by <jdthood@yahoo.co.uk>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/jdthood/src/pkg-alsa/debian/alsa-utils/seq/aconnect/aconnect.c alsa-utils/seq/aconnect/aconnect.c
+--- /home/jdthood/src/pkg-alsa/debian/alsa-utils/seq/aconnect/aconnect.c 2002-07-17 14:05:15.000000000 +0200
++++ alsa-utils/seq/aconnect/aconnect.c 2004-09-19 11:57:31.000000000 +0200
+@@ -46,7 +46,7 @@
+ fprintf(stderr, "aconnect - ALSA sequencer connection manager\n");
+ fprintf(stderr, "Copyright (C) 1999-2000 Takashi Iwai\n");
+ fprintf(stderr, "Usage:\n");
+- fprintf(stderr, " * Connection/disconnection betwen two ports\n");
++ fprintf(stderr, " * Connection/disconnection between two ports\n");
+ fprintf(stderr, " aconnect [-options] sender receiver\n");
+ fprintf(stderr, " sender, receiver = client:port pair\n");
+ fprintf(stderr, " -d,--disconnect disconnect\n");